# Protocols Reference

# Protocols

The following protocols are available globally.

- `GIFAnimatable`

  The protocol that view classes need to conform to to enable animated GIF support.

  See more

  #### Declaration

  Swift

      public protocol GIFAnimatable: class

- `ImageContainer`

  A single-property protocol that animatable classes can optionally conform to.

  See more

  #### Declaration

  Swift

      public protocol ImageContainer

2015 © Reda Lemeden. See LICENSE for more details.

Generated by jazzy ♪♫ v0.9.0, a Realm project.